package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.ElectricClientInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface ElectricClientInfoDAO {
	int insert(ElectricClientInfo entity);
	int update(ElectricClientInfo entity);
	int exist(String id);
	int getCountByCNo(String customerNo, String excludeId);
	ElectricClientInfo get(String id);
	ElectricClientInfo getRoomMessage(String id);
	int delete(String id);
	List<ElectricClientInfo> list();
	List<ElectricClientInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
    ElectricClientInfo findOneByRoomId(@Param("roomId") String roomId);
}